Skip to Content
inclamoDocs

Toggle Typing Status

POST
/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_typing_status

Toggles the typing status for a conversation.

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

conversation_id*integer

The numeric ID of the conversation

Request Body

application/json
  1. body
typing_status*string

Typing status to set.

Value in"on""off"
is_private?boolean

Whether the typing event is for private notes.

Response Body

Success

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/toggle_typing_status' \  -H 'Content-Type: application/json' \  -d '{  "typing_status": "on"}'
Example Response
Empty